/* $Header:_string.c 12.0$ */
/* $ACIS:_string.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libaed/RCS/_string.c,v $ */

#ifndef lint
static char *rcsid = "$Header:_string.c 12.0$";
#endif

#include "whim.h"
/*--------------------------------------------------------------*/
/*  Draw string 						*/
/*--------------------------------------------------------------*/

VI_String(s)
  char *s;			     /* string to draw */

  begin
#include "whimdcl.h"
    INT16 slen; 		     /* number of bytes in string */
    INT16 nwords;		     /* number of words in string */

    if (saving) { JOURNL(V_STRING);
		  strjour(s);	     }

    /* get the number of words in the string */
    slen = strlen(s);
    nwords = (slen+1)/2;

    clear(2+nwords);	  /* clear space for order */

    /* build order */
    vikint[vikoff++] = 11;     /* string order */
    vikint[vikoff++] = slen;   /* string length */

    /* copy string data */
    copy(s,nwords);
  end
